Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Apr 2015 18:54:05 -0400

> - When I try to jump to a symbol, and there isn't one with that name, I want
>   to see the message "no definitions found", not a "Visit tags table" prompt.

I tend to agree.

> - If I do have a tags table loaded, it's likely for a different project than
>   Emacs.  This is most likely true for the majority of our users.

I really think the etags backend should only return data when the TAGS
file is in one of the parents of the current directory.

And it should also be able to keep several independent TAGS tables
opened for different projects in different directory trees.

> I think Eli (and everyone like-minded) should advise elisp-xref-find and
> xref-identifier-completion-table-function instead, inside their init script,
> like suggested by Daniel in another thread.

It seems a common enough request that we should accommodate
them better. At the very least provide a minor mode which sets up
such advice.

        Stefan